commit:     68b28eb092c1c324b6bcbb267d9eeaaf08397d0d
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 22 21:57:09 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Apr 22 21:57:09 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=68b28eb0

dev-python/webpy: version bump.

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-python/webpy/Manifest          |  1 +
 dev-python/webpy/webpy-0.38.ebuild | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-python/webpy/Manifest b/dev-python/webpy/Manifest
index a47e989306e..7e0eb3919d0 100644
--- a/dev-python/webpy/Manifest
+++ b/dev-python/webpy/Manifest
@@ -1 +1,2 @@
 DIST web.py-0.37.tar.gz 90232 SHA256 
748c7e99ad9e36f62ea19f7965eb7dd7860b530e8f563ed60ce3e53e7409a550 SHA512 
766e24d9df6ab1c3a214156794a19c23fcb16ca7a4ee7586a7723f802eab2ba0b8cda4653c2504ef63f773609436ac12dfd40bbe6cf20e2f93bf95493f041628
 WHIRLPOOL 
4782dc9b4b894ee1787478a77c1afe193096046feeebbe5ce4f904c26d22d5814c606d2d0112614de1ab19851a2e40a78e56f74c1dc59f94ec9462fd33842110
+DIST web.py-0.38.tar.gz 91877 SHA256 
09c61b5b6b6e1dd558818d07dfbab3b2da0623603079c7d7223644b287f08870 SHA512 
cac697206945f918bbe657d019623132e0bde9eabb0836f617cf86482095c756d6f28984e0efbedaab954966b58578d30cd9ecfecc0ed79f7d0ac74d95a19a12
 WHIRLPOOL 
f70fce769fafe4711af53dc576af90144cdc9c66b534e8c829d38506de22ae124762a5e7f1d2bd5625bc7836a6f8a51dbb2eccf91eda0097eb488fc10a4b76a0

diff --git a/dev-python/webpy/webpy-0.38.ebuild 
b/dev-python/webpy/webpy-0.38.ebuild
new file mode 100644
index 00000000000..48dce6b4ac4
--- /dev/null
+++ b/dev-python/webpy/webpy-0.38.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+MY_PN="web.py"
+
+DESCRIPTION="A small and simple web framework for Python"
+HOMEPAGE="http://www.webpy.org https://pypi.python.org/pypi/web.py";
+SRC_URI="http://www.webpy.org/static/${MY_PN}-${PV}.tar.gz";
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~x86 ~amd64-linux ~x86-linux"
+
+S="${WORKDIR}/web.py-${PV}"
+
+python_test() {
+       local return_status="0" test tests="db http net template utils"
+       for test in ${tests}; do
+               echo "Running doctests in ${test}.py..."
+               "${PYTHON}" web/${test}.py || return_status="$?"
+       done
+               return "${return_status}"
+}

Reply via email to